## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# NOTE(mhayden): Upstream removed VCR cassettes required for tests 😢
%bcond_with     tests

%global         srcname     azure-batch
%global         tarball_name     azure_batch

Name:           python-%{srcname}
Version:        15.0.0~b1
%global         pypi_version 15.0.0b1
Release:        %autorelease
Summary:        Microsoft Azure Batch Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{tarball_name} %{pypi_version}}

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-batch)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
BuildRequires:  python3dist(python-dotenv)
%endif

%global _description %{expand:
Microsoft Azure Batch Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{tarball_name}-%{pypi_version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%check
%pyproject_check_import

%if %{with tests}
%pytest
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
## START: Generated by rpmautospec
* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 15.0.0~b1-2
- Rebuilt for Python 3.14

* Thu May 01 2025 Jeremy Cline <jeremycline@linux.microsoft.com> - 15.0.0~b1-1
- Update to v15.0.0b1

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 14.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 14.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 14.2.0-2
- Rebuilt for Python 3.13

* Thu Apr 04 2024 Jeremy Cline <jeremycline@microsoft.com> - 14.2.0-1
- Update to v14.2.0 (rhbz #2271954)

* Wed Mar 06 2024 Jeremy Cline <jeremycline@microsoft.com> - 14.1.0-1
- Update to v14.1.0

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 14.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 14.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Aug 01 2023 Major Hayden <major@redhat.com> - 14.0.0-1
- Update to 14.0.0

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 13.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 13.0.0-5
- Rebuilt for Python 3.12

* Wed May 17 2023 Major Hayden <major@redhat.com> - 13.0.0-4
- Migrated to SPDX license

* Mon May 08 2023 Major Hayden <major@redhat.com> - 13.0.0-3
- S

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 13.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jan 11 2023 Major Hayden <major@redhat.com> - 13.0.0-1
- Update to 13.0.0

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 12.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jul 08 2022 Major Hayden <major@redhat.com> - 12.0.0-4
- Skip tests in epel9

* Mon Jun 27 2022 Major Hayden <major@redhat.com> - 12.0.0-3
- Run tests using source from GitHub

* Thu Jun 16 2022 Python Maint <python-maint@redhat.com> - 12.0.0-2
- Rebuilt for Python 3.11

* Tue Mar 01 2022 Major Hayden <major@mhtx.net> - 12.0.0-1
- Update to 12.0.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 11.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 02 2021 Major Hayden <major@mhtx.net> - 11.0.0-3
- Clean up for consistency

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> - 11.0.0-2
- Move obsoletes into subpackage

* Wed Aug 11 2021 Major Hayden <major@mhtx.net> - 11.0.0-1
- Update to 11.0.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 10.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 18 2021 Major Hayden <major@mhtx.net> - 10.0.0-1
- Initial import (#1971717)
## END: Generated by rpmautospec
